    import AbstractConnector from 'yjs/src/Connector.js'

public class | source

# AbstractConnector

## Constructor Summary

Public Constructor
public | constructor () |

## Member Summary

Public Members
public | authInfo : * |
public | broadcastBuffer : * |
public | broadcastBufferSize : number |
public | broadcastBufferSizePos : * |
public | checkAuth : * |
public | connections : * |
public | currentSyncTarget : * |
public | debug : * |
public | isSynced : boolean |
public | log : * |
public | logMessage : * |
public | maxBufferLength : * |
public | opts : * |
public | protocolVersion : number |
public | role : string |
public | userEventListeners : *[] |
public | whenSyncedListeners : *[] |
public | y : * |

## Method Summary

Public Methods
public | broadcast (buffer: *) |
public | broadcastStruct (struct: *) |
public | computeMessage (messageType: *, senderConn: *, decoder: *, encoder: *, sender: *, skipAuth: *) |
public | disconnect (): * |
public | onUserEvent (f: *) |
public | receiveMessage (sender: *, buffer: *, skipAuth: *): * |
public | reconnect () |
public | removeUserEventListener (f: *) |
public | send (uid: *, buffer: *) |
public | userJoined (user: *, role: *, auth: *) |
public | userLeft (user: *) |
public | whenRemoteResponsive (): * |
public | whenSynced (f: *) |

## Public Constructors

### public constructor() source

## Public Members

### public authInfo: * source

### public broadcastBuffer: * source

### public broadcastBufferSize: number source

### public broadcastBufferSizePos: * source

### public checkAuth: * source

### public connections: * source

### public currentSyncTarget: * source

### public debug: * source

### public isSynced: boolean source

### public log: * source

### public logMessage: * source

### public maxBufferLength: * source

### public opts: * source

### public protocolVersion: number source

### public role: string source

### public userEventListeners: *[] source

### public whenSyncedListeners: *[] source

### public y: * source

## Public Methods

### public broadcast(buffer: *) source

#### Params:

Name | Type | Attribute | Description
buffer | * |  |

### public broadcastStruct(struct: *) source

#### Params:

Name | Type | Attribute | Description
struct | * |  |

### public computeMessage(messageType: *, senderConn: *, decoder: *, encoder: *, sender: *, skipAuth: *) source

#### Params:

Name | Type | Attribute | Description
messageType | * |  |
senderConn | * |  |
decoder | * |  |
encoder | * |  |
sender | * |  |
skipAuth | * |  |

### public disconnect(): * source

#### Return:

*

### public onUserEvent(f: *) source

#### Params:

Name | Type | Attribute | Description
f | * |  |

### public receiveMessage(sender: *, buffer: *, skipAuth: *): * source

#### Params:

Name | Type | Attribute | Description
sender | * |  |
buffer | * |  |
skipAuth | * |  |

#### Return:

*

### public reconnect() source

### public removeUserEventListener(f: *) source

#### Params:

Name | Type | Attribute | Description
f | * |  |

### public send(uid: *, buffer: *) source

#### Params:

Name | Type | Attribute | Description
uid | * |  |
buffer | * |  |

### public userJoined(user: *, role: *, auth: *) source

#### Params:

Name | Type | Attribute | Description
user | * |  |
role | * |  |
auth | * |  |

### public userLeft(user: *) source

#### Params:

Name | Type | Attribute | Description
user | * |  |

### public whenRemoteResponsive(): * source

#### Return:

*

### public whenSynced(f: *) source

#### Params:

Name | Type | Attribute | Description
f | * |  |